> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Corporate Customer

> ```
GET api/v1/cdd/customers/{uniqueId}
```




## OpenAPI

````yaml cdd-customer-fetch-corporate-model.json GET /cdd/customers/{uniqueId}
openapi: 3.1.0
info:
  title: Sigma CDD API - Fetch Corporate Customer
  version: 1.0.0
servers:
  - url: https://sigmacdd.sabipay.com/api/v1
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
paths:
  /cdd/customers/{uniqueId}:
    get:
      summary: Fetch Corporate Customer
      parameters:
        - name: uniqueId
          in: path
          required: true
          description: The customer's uniqueId or account number
          schema:
            type: string
      responses:
        '200':
          description: Customer fetched
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchCorporateCustomerResponse'
              example:
                success: true
                data:
                  customer:
                    uniqueId: test-pastel-02
                    accounts:
                      - accountNumber: '0783678921'
                        accountType: corporate
                    businessName: PASTEL AI AFRICA LTD
                    countryOfIncorporation: Nigeria
                    createdAt: '2026-07-22T07:55:48.020Z'
                    directors:
                      - uniqueId: '1190990'
                        firstName: Raji
                        lastName: Fashola
                        nationality: Nigerian
                        pepConfirmedAt: '2026-07-22T10:29:30.826Z'
                        pepId: 662f9329d2b06e101be0b0c6
                        adverseMediaConfirmedAt: '2026-07-22T10:29:56.289Z'
                        adverseMediaId: 6a6077a0b6bf922c911088d7
                    headOfficeAddress: lekki waterside
                    incorporationDate: '2022-11-06T00:00:00.000Z'
                    isDeceased: false
                    isPep: false
                    isSanctioned: false
                    kycDocuments:
                      - type: tax_id
                        documentNumber: 31690546-0001
                        status: verified
                        verifiedAt: '2026-07-22T07:55:57.686Z'
                        source: cdd
                      - type: company_registration
                        documentNumber: '7429883'
                        status: verified
                        verifiedAt: '2026-07-22T07:56:06.399Z'
                        source: cdd
                      - type: bvn
                        documentNumber: '22241887099'
                        status: verified
                        verifiedAt: '2026-07-22T07:57:00.941Z'
                        source: cdd
                        personUniqueId: '1190991'
                        personRole: signatory
                    registrationNumber: '7429883'
                    regulatoryLicenses: []
                    signatories:
                      - uniqueId: '1190991'
                        firstName: Ernest
                        lastName: Tarzua
                        dob: '1989-04-15'
                        gender: male
                        bvnNumber: '22241887099'
                        nationality: Nigerian
                    source: api
                    stateOfIncorporation: Lagos
                    status: active
                    taxIdentificationNumber: 31690546-0001
                    type: corporate
                    ultimateBeneficialOwners: []
                    updatedAt: '2026-07-22T10:30:05.473Z'
                    watchlist: false
                    customerRiskSummary:
                      overallScore: 0.4
                      overallDecision: 0
                      overallRating: low
                      coverageStatus: computed
                      autoHighRiskCategories: []
                      computedAt: '2026-07-22T10:30:05.469Z'
                  customerRiskSummary:
                    overallScore: 0.4
                    overallDecision: 0
                    overallRating: low
                    coverageStatus: computed
                    autoHighRiskCategories: []
                    computedAt: '2026-07-22T10:30:05.469Z'
                  checks:
                    tin:
                      checkId: tin
                      results:
                        - name: compareNames
                          result: success
                          note: Company names match
                          status: completed
                          values:
                            - PASTEL AI AFRICA LTD
                            - PASTEL AI AFRICA LTD
                          startDate: '2026-07-22T07:55:51.645Z'
                          endDate: '2026-07-22T07:55:53.314Z'
                        - name: compareRegistrationNumber
                          result: success
                          note: Registration number match
                          status: completed
                          values:
                            - '7429883'
                            - '7429883'
                          startDate: '2026-07-22T07:55:56.037Z'
                          endDate: '2026-07-22T07:55:57.325Z'
                    cac:
                      checkId: cac
                      results:
                        - name: compareNames
                          result: success
                          note: Company names match
                          status: completed
                          values:
                            - PASTEL AI AFRICA LTD
                            - PASTEL AI AFRICA LTD
                          startDate: '2026-07-22T07:56:00.511Z'
                          endDate: '2026-07-22T07:56:02.012Z'
                        - name: compareRegistrationNumber
                          result: success
                          note: Registration number match
                          status: completed
                          values:
                            - '7429883'
                            - '7429883'
                          startDate: '2026-07-22T07:56:04.722Z'
                          endDate: '2026-07-22T07:56:06.027Z'
                  signatories:
                    - uniqueId: '1190991'
                      data:
                        uniqueId: '1190991'
                        firstName: Ernest
                        lastName: Tarzua
                        dob: '1989-04-15'
                        gender: male
                        bvnNumber: '22241887099'
                        nationality: Nigerian
                      checks:
                        bvn:
                          checkId: bvn
                          results:
                            - name: compareNames
                              result: success
                              note: Names are a match
                              status: completed
                              values:
                                - ernest tarzua
                                - ernest najime tarzua
                              startDate: '2026-07-22T07:56:48.306Z'
                              endDate: '2026-07-22T07:56:50.504Z'
                            - name: compareDateOfBirth
                              result: success
                              note: Date of birth match
                              status: completed
                              values:
                                - '1989-04-15'
                                - '1989-04-15'
                              startDate: '2026-07-22T07:56:53.508Z'
                              endDate: '2026-07-22T07:56:55.363Z'
                            - name: compareGender
                              result: success
                              note: Gender match
                              status: completed
                              values:
                                - male
                                - male
                              startDate: '2026-07-22T07:56:58.268Z'
                              endDate: '2026-07-22T07:57:00.130Z'
                        pep:
                          checkId: pep
                          results:
                            - name: pepCheck
                              result: success
                              note: No related PEP record
                              status: completed
                              values:
                                - null
                                - null
                              startDate: '2026-07-22T07:57:04.412Z'
                              endDate: '2026-07-22T07:57:06.411Z'
                  directors:
                    - uniqueId: '1190990'
                      data:
                        uniqueId: '1190990'
                        firstName: Raji
                        lastName: Fashola
                        nationality: Nigerian
                      checks:
                        pep:
                          checkId: pep
                          results:
                            - name: pepCheck
                              result: success
                              note: Screening confirmation completed
                              status: completed
                              values:
                                - null
                                - null
                              startDate: '2026-07-22T07:56:09.140Z'
                              endDate: '2026-07-22T10:29:31.564Z'
                        adverse media:
                          checkId: adverse media
                          results:
                            - name: adverseMediaCheck
                              result: success
                              note: Screening confirmation completed
                              status: completed
                              values:
                                - null
                                - null
                              startDate: '2026-07-22T07:56:44.177Z'
                              endDate: '2026-07-22T10:29:57.035Z'
                      pep:
                        _id: 662f9329d2b06e101be0b0c6
                        externalId: Q62356
                        type: pep
                        aliases:
                          - Babatunde Fashola
                          - ' Babatunde Raji FASHOLA'
                        birth_date: '1963-06-28'
                        countries:
                          - ng
                        entityType: Person
                        name: Babatunde Raji Fashola
                        photo: >-
                          https://storage.googleapis.com/sigma-public/pep/90539e97-421d-4caf-9b9d-994aaf670bc8.jpg
                        politicalParty:
                          - All Progressives Congress
                        positions:
                          - title: Minister of Works and Housing
                            startDate: '2019'
                            endDate: '2023'
                            _id: 6732645256816940943eda4e
                          - title: Minister of Power, Works and Housing
                            startDate: 2015-11
                            endDate: 2019-08
                            _id: 6732645256816940943eda4f
                          - title: ' Governor of Lagos State'
                            startDate: '2011-05-29'
                            endDate: '2015-05-29'
                            _id: 6732645256816940943eda50
                          - title: ' Governor of Lagos State'
                            startDate: '2007-05-29'
                            endDate: '2011-05-29'
                            _id: 6732645256816940943eda51
                          - title: Honourable Commissioner to the Governor’s office
                            startDate: '2006'
                            endDate: null
                            _id: 6732645256816940943eda52
                          - title: Senior Advocate of Nigeria [SAN]
                            startDate: 2004-08
                            endDate: null
                            _id: 6732645256816940943eda53
                          - title: ' Chairman of the Governor’s Forum Committees'
                            startDate: null
                            endDate: null
                            _id: 6732645256816940943eda54
                          - title: Notary Public of the Supreme Court of Nigeria
                            startDate: null
                            endDate: null
                            _id: 6732645256816940943eda55
                          - title: >-
                              Associate of the Chartered Institute of Taxation
                              of Nigeria
                            startDate: ''
                            endDate: null
                            _id: 6732645256816940943eda56
                          - title: >-
                              Fellow, Chartered Institute of Taxation of Nigeria
                              [CITN]
                            startDate: ''
                            endDate: ''
                            _id: 6732645256816940943eda57
                          - title: >-
                              Grand Patron, Association of Nigerian Theatre
                              Practitioners [ANTP] Lagos State Chapter
                            startDate: ''
                            endDate: ''
                            _id: 6732645256816940943eda58
                          - title: Patron, Institute of Arbitrators [CIA]
                            startDate: ''
                            endDate: ''
                            _id: 6732645256816940943eda59
                          - title: Member, International Bar Association [IBA]
                            startDate: ''
                            endDate: ''
                            _id: 6732645256816940943eda5a
                          - title: >-
                              member of the Nigerian and International Bar
                              Association
                            startDate: ''
                            endDate: ''
                            _id: 6732645256816940943eda5b
                          - title: >-
                              Chief of Staff to the then Governor of Lagos
                              State, Bola Ahmed Tinubu
                            startDate: '2002'
                            endDate: '2006'
                            _id: 6732645256816940943eda5c
                          - title: >-
                              Chairman Ad Hoc Committee on the Review of Assets
                              Distribution among Local Governments 
                            startDate: ''
                            endDate: ''
                            _id: 6732645256816940943eda5d
                          - title: Board Member Lagos State Treasury Board
                            startDate: '2002-08-16'
                            endDate: '2006-11-06'
                            _id: 6732645256816940943eda5e
                          - title: Board Member Lagos State Security Council
                            startDate: '2002-08-16'
                            endDate: '2006-11-06'
                            _id: 6732645256816940943eda5f
                          - title: Board Member Lagos State Tenders Board
                            startDate: '2002-08-18'
                            endDate: '2006-11-06'
                            _id: 6732645256816940943eda60
                          - title: Board Member Lagos State Tenders Board
                            startDate: '2002-08-16'
                            endDate: '2006-11-06'
                            _id: 6732645256816940943eda61
                          - title: >-
                              Panel Member Panel of Enquiry into Allocation of
                              Houses on the Mobolaji Johnson Housing Scheme,
                              Lekki, Lagos State
                            startDate: '2000'
                            endDate: null
                            _id: 6732645256816940943eda62
                          - title: >-
                              Secretary  Lands Sub-Committee of the Transitional
                              Work Groups, Lagos State
                            startDate: '1999'
                            endDate: null
                            _id: 6732645256816940943eda63
                          - title: >-
                              Lead Counsel and Managing Partner K.O Tinubu &
                              Company, Lagos State 
                            startDate: '1993'
                            endDate: '2002'
                            _id: 6732645256816940943eda64
                          - title: >-
                              Litigator  Sofunde, Osakwe, Ogundipe and Belgore,
                              Lagos State 
                            startDate: '1990'
                            endDate: '1993'
                            _id: 6732645256816940943eda65
                          - title: 'Counsel G.I.S. Omonuwa & Co, Benin, Edo State '
                            startDate: '1988'
                            endDate: '1989'
                            _id: 6732645256816940943eda66
                        overview: >-
                          Babatunde Raji Fashola is classified as a high-risk
                          Politically Exposed Person (PEP) due to his extensive
                          tenure in senior executive public offices within
                          Nigeria. His primary exposure is triggered by his
                          historical roles as a two-term Governor of Lagos State
                          and a federal Cabinet Minister overseeing national
                          infrastructure portfolios.


                          ### Professional History

                          * **Minister of Works and Housing** | Nigeria (2019 –
                          2023)

                          * **Minister of Power, Works and Housing** | Nigeria
                          (2015-11 – 2019-08)

                          * **Governor** | Lagos State (2011-05-29 – 2015-05-29)

                          * **Governor** | Lagos State (2007-05-29 – 2011-05-29)

                          * **Honourable Commissioner** | Governor’s Office,
                          Lagos State (2006)

                          * **Senior Advocate of Nigeria [SAN]** | Nigeria
                          (2004-08)

                          * **Chairman** | Governor’s Forum Committees

                          * **Notary Public** | Supreme Court of Nigeria

                          * **Associate** | Chartered Institute of Taxation of
                          Nigeria

                          * **Fellow** | Chartered Institute of Taxation of
                          Nigeria [CITN]

                          * **Grand Patron** | Association of Nigerian Theatre
                          Practitioners [ANTP], Lagos State Chapter

                          * **Patron** | Institute of Arbitrators [CIA]

                          * **Member** | International Bar Association [IBA]

                          * **Member** | Nigerian and International Bar
                          Association

                          * **Chief of Staff** | Governor of Lagos State (2002 –
                          2006)

                          * **Chairman** | Ad Hoc Committee on the Review of
                          Assets Distribution among Local Governments

                          * **Board Member** | Lagos State Treasury Board
                          (2002-08-16 – 2006-11-06)

                          * **Board Member** | Lagos State Security Council
                          (2002-08-16 – 2006-11-06)

                          * **Board Member** | Lagos State Tenders Board
                          (2002-08-18 – 2006-11-06)

                          * **Board Member** | Lagos State Tenders Board
                          (2002-08-16 – 2006-11-06)

                          * **Panel Member** | Panel of Enquiry into Allocation
                          of Houses on the Mobolaji Johnson Housing Scheme,
                          Lekki, Lagos State (2000)

                          * **Secretary** | Lands Sub-Committee of the
                          Transitional Work Groups, Lagos State (1999)


                          ### Risk Profile

                          * **Level**: High

                          * **Justification**: The individual poses an elevated
                          risk due to direct, high-level political proximity as
                          a former state Governor and federal Cabinet Minister
                          in Nigeria, indicating historical influence over
                          significant public funds and major infrastructure
                          projects.


                          ### Network & Affiliations

                          * **Political Affiliation**:
                            * All Progressives Congress
                          * **Known Business Interests (Law Firms)**:
                            * K.O Tinubu & Company (Lead Counsel and Managing Partner, 1993 – 2002)
                            * Sofunde, Osakwe, Ogundipe and Belgore (Litigator, 1990 – 1993)
                            * G.I.S. Omonuwa & Co (Counsel, 1988 – 1989)
                          * **Known Associates**:
                            * Bola Ahmed Tinubu (Fashola served as Chief of Staff to the then Governor of Lagos State from 2002 to 2006)
                        confirmedAt: '2026-07-22T10:29:30.826Z'
                      adverseMedia:
                        _id: 6a6077a0b6bf922c911088d7
                        query: Raji Fashola
                        completedAt: '2026-07-22T07:56:43.798Z'
                        confirmedAt: '2026-07-22T10:29:56.289Z'
                        matches:
                          - _id: 6a6077a5b6bf922c911088e4
                            title: Babatunde Fashola - Wikipedia
                            link: https://en.wikipedia.org/wiki/Babatunde_Fashola
                            origin: en.wikipedia.org
                            snippet: >-
                              Babatunde Raji Fashola CON SAN is a Nigerian
                              lawyer and politician who served as the federal
                              minister of Works and Housing of Nigeria from 2019
                              to 2023.
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                message: Customer not found
components:
  schemas:
    FetchCorporateCustomerResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
          properties:
            customer:
              type: object
              properties:
                uniqueId:
                  type: string
                accounts:
                  type: array
                  items:
                    type: object
                    properties:
                      accountNumber:
                        type: string
                      accountType:
                        type: string
                    additionalProperties: true
                businessName:
                  type: string
                countryOfIncorporation:
                  type: string
                createdAt:
                  type: string
                  format: date-time
                directors:
                  type: array
                  items:
                    type: object
                    properties:
                      uniqueId:
                        type: string
                      firstName:
                        type: string
                      lastName:
                        type: string
                      nationality:
                        type: string
                      pepConfirmedAt:
                        type: string
                        format: date-time
                      pepId:
                        type: string
                      adverseMediaConfirmedAt:
                        type: string
                        format: date-time
                      adverseMediaId:
                        type: string
                    additionalProperties: true
                headOfficeAddress:
                  type: string
                incorporationDate:
                  type: string
                  format: date-time
                isDeceased:
                  type: boolean
                isPep:
                  type: boolean
                isSanctioned:
                  type: boolean
                kycDocuments:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      documentNumber:
                        type: string
                      status:
                        type: string
                      verifiedAt:
                        type: string
                        format: date-time
                      source:
                        type: string
                      personUniqueId:
                        type: string
                      personRole:
                        type: string
                    additionalProperties: true
                registrationNumber:
                  type: string
                regulatoryLicenses:
                  type: array
                  items: {}
                signatories:
                  type: array
                  items:
                    type: object
                    properties:
                      uniqueId:
                        type: string
                      firstName:
                        type: string
                      lastName:
                        type: string
                      dob:
                        type: string
                        format: date
                      gender:
                        type: string
                      bvnNumber:
                        type: string
                      nationality:
                        type: string
                    additionalProperties: true
                source:
                  type: string
                stateOfIncorporation:
                  type: string
                status:
                  type: string
                taxIdentificationNumber:
                  type: string
                type:
                  type: string
                ultimateBeneficialOwners:
                  type: array
                  items: {}
                updatedAt:
                  type: string
                  format: date-time
                watchlist:
                  type: boolean
                customerRiskSummary:
                  type: object
                  properties:
                    overallScore:
                      type: number
                    overallDecision:
                      type: integer
                    overallRating:
                      type: string
                    coverageStatus:
                      type: string
                    autoHighRiskCategories:
                      type: array
                      items: {}
                    computedAt:
                      type: string
                      format: date-time
                  additionalProperties: true
              additionalProperties: true
            customerRiskSummary:
              type: object
              properties:
                overallScore:
                  type: number
                overallDecision:
                  type: integer
                overallRating:
                  type: string
                coverageStatus:
                  type: string
                autoHighRiskCategories:
                  type: array
                  items: {}
                computedAt:
                  type: string
                  format: date-time
              additionalProperties: true
            checks:
              type: object
              properties:
                tin:
                  type: object
                  properties:
                    checkId:
                      type: string
                    results:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          result:
                            type: string
                          note:
                            type: string
                          status:
                            type: string
                          values:
                            type: array
                            items:
                              type: string
                          startDate:
                            type: string
                            format: date-time
                          endDate:
                            type: string
                            format: date-time
                        additionalProperties: true
                  additionalProperties: true
                cac:
                  type: object
                  properties:
                    checkId:
                      type: string
                    results:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          result:
                            type: string
                          note:
                            type: string
                          status:
                            type: string
                          values:
                            type: array
                            items:
                              type: string
                          startDate:
                            type: string
                            format: date-time
                          endDate:
                            type: string
                            format: date-time
                        additionalProperties: true
                  additionalProperties: true
              additionalProperties: true
            signatories:
              type: array
              items:
                type: object
                properties:
                  uniqueId:
                    type: string
                  data:
                    type: object
                    properties:
                      uniqueId:
                        type: string
                      firstName:
                        type: string
                      lastName:
                        type: string
                      dob:
                        type: string
                        format: date
                      gender:
                        type: string
                      bvnNumber:
                        type: string
                      nationality:
                        type: string
                    additionalProperties: true
                  checks:
                    type: object
                    properties:
                      bvn:
                        type: object
                        properties:
                          checkId:
                            type: string
                          results:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                result:
                                  type: string
                                note:
                                  type: string
                                status:
                                  type: string
                                values:
                                  type: array
                                  items:
                                    type: string
                                startDate:
                                  type: string
                                  format: date-time
                                endDate:
                                  type: string
                                  format: date-time
                              additionalProperties: true
                        additionalProperties: true
                      pep:
                        type: object
                        properties:
                          checkId:
                            type: string
                          results:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                result:
                                  type: string
                                note:
                                  type: string
                                status:
                                  type: string
                                values:
                                  type: array
                                  items:
                                    type: string
                                    nullable: true
                                startDate:
                                  type: string
                                  format: date-time
                                endDate:
                                  type: string
                                  format: date-time
                              additionalProperties: true
                        additionalProperties: true
                    additionalProperties: true
                additionalProperties: true
            directors:
              type: array
              items:
                type: object
                properties:
                  uniqueId:
                    type: string
                  data:
                    type: object
                    properties:
                      uniqueId:
                        type: string
                      firstName:
                        type: string
                      lastName:
                        type: string
                      nationality:
                        type: string
                    additionalProperties: true
                  checks:
                    type: object
                    properties:
                      pep:
                        type: object
                        properties:
                          checkId:
                            type: string
                          results:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                result:
                                  type: string
                                note:
                                  type: string
                                status:
                                  type: string
                                values:
                                  type: array
                                  items:
                                    type: string
                                    nullable: true
                                startDate:
                                  type: string
                                  format: date-time
                                endDate:
                                  type: string
                                  format: date-time
                              additionalProperties: true
                        additionalProperties: true
                      adverse media:
                        type: object
                        properties:
                          checkId:
                            type: string
                          results:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                result:
                                  type: string
                                note:
                                  type: string
                                status:
                                  type: string
                                values:
                                  type: array
                                  items:
                                    type: string
                                    nullable: true
                                startDate:
                                  type: string
                                  format: date-time
                                endDate:
                                  type: string
                                  format: date-time
                              additionalProperties: true
                        additionalProperties: true
                    additionalProperties: true
                  pep:
                    type: object
                    properties:
                      _id:
                        type: string
                      externalId:
                        type: string
                      type:
                        type: string
                      aliases:
                        type: array
                        items:
                          type: string
                      birth_date:
                        type: string
                        format: date
                      countries:
                        type: array
                        items:
                          type: string
                      entityType:
                        type: string
                      name:
                        type: string
                      photo:
                        type: string
                        format: uri
                      politicalParty:
                        type: array
                        items:
                          type: string
                      positions:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                            startDate:
                              type: string
                              nullable: true
                            endDate:
                              type: string
                              nullable: true
                            _id:
                              type: string
                          additionalProperties: true
                      overview:
                        type: string
                      confirmedAt:
                        type: string
                        format: date-time
                    additionalProperties: true
                  adverseMedia:
                    type: object
                    properties:
                      _id:
                        type: string
                      query:
                        type: string
                      completedAt:
                        type: string
                        format: date-time
                      confirmedAt:
                        type: string
                        format: date-time
                      matches:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                            title:
                              type: string
                            link:
                              type: string
                              format: uri
                            origin:
                              type: string
                            snippet:
                              type: string
                          additionalProperties: true
                    additionalProperties: true
                additionalProperties: true
          additionalProperties: true
      additionalProperties: true
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      additionalProperties: true
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: apiKey
    ApiSecret:
      type: apiKey
      in: header
      name: apiSecret

````